<div class="login-container">
  <nz-modal [(nzVisible)]="isVisible"
            nzTitle="User information"
            [nzFooter]="null"
            (nzOnCancel)="handleCancel()">

    <form nz-form
          [formGroup]="this.validateForm"
          #form="ngForm"
          class="login-form"
          (ngSubmit)="submitForm(form)">
      <nz-form-item>
        <nz-form-control [nzErrorTip]="userErrorTpl">
          <nz-input-group nzPrefixIcon="user">
            <input type="text"
                   nz-input
                   formControlName="username"
                   placeholder="Username"/>
          </nz-input-group>
          <ng-template #userErrorTpl
                       let-control>
            <ng-container *ngIf="control.hasError('required')">
              Please enter your username!
            </ng-container>
            <ng-container *ngIf="control.hasError('cannotContainSpace')">
              The username cannot contain space!
            </ng-container>
          </ng-template>
        </nz-form-control>
      </nz-form-item>
      <nz-form-item>
        <nz-form-control nzErrorTip="Please enter valid password!">
          <nz-input-group nzPrefixIcon="lock">
            <input type="password"
                   nz-input
                   formControlName="password"
                   placeholder="Password"/>
          </nz-input-group>
        </nz-form-control>
      </nz-form-item>
      <button nz-button
              class="login-form-button login-form-margin"
              [nzType]="'primary'"
              type="submit"
              [disabled]="!this.validateForm.valid">Sign in</button>
    </form>

  </nz-modal>
</div>
